#ifndef SC128_LITE_INCLUDED
#define SC128_LITE_INCLUDED

#include "types.h"

void sc128_lite_encode(u64 *x, u64 const *key, const u32 len_128);
void sc128_lite_decode(u64 *x, u64 const *key, const u32 len_128);

// 256 bit data, 128 bit key
void sc128_lite_128_256_encode(u64 *x, u64 const *key);
void sc128_lite_128_256_decode(u64 *x, u64 const *key);

void sc128_lite_feistel_64(u64 *x);

#endif

