#ifndef LISTS_H_INCLUDED
#define LISTS_H_INCLUDED
//-----------------------------------------------------------------------
#include <windows.h>
#include "types.h"
#include "network.h"
#include "kademlia.h"
//-----------------------------------------------------------------------
extern HWND g_NetList;
extern HWND g_KadList;
extern HWND g_DownloadsList;
extern HWND g_FindUserList;
//-----------------------------------------------------------------------
void NetListUpdate(NETWORK* net);
void KadListUpdate(KADEMLIA* net);
//-----------------------------------------------------------------------
void CreateListsDialog(HWND hWnd);
void findUser(HWND hWnd);
//-----------------------------------------------------------------------
#endif //LISTS_H_INCLUDED
