#ifndef VIDEO_H_INCLUDED
#define VIDEO_H_INCLUDED
//-----------------------------------------------------------------------
#include "types.h"
//----------------------------------------------------------------------------
void video_init(void);
void video_destroy(void);
//----------------------------------------------------------------------------
void* video_create(void);
bool video_start(void* vid, NODE* nd, LPCTSTR vid_str);
void video_put_data(void* vid,u8* buf, u32 buf_size, char* name);
void video_stop(void* vid);
void video_stream_finished(void* vid);
void video_delete(void* vid);
//-----------------------------------------------------------------------
void fill_video_inputs(HWND cb);
//-----------------------------------------------------------------------
#endif //VIDEO_H_INCLUDED
