#ifndef EL_DUMBO_CIPHER_H_INCLUDED
#define EL_DUMBO_CIPHER_H_INCLUDED

#include "types.h"


void El_Dumbo_Encode(void (*encode)(u32 *x, u32 const* key),  u32 *x, u32 *const key, const u32 size_x64);
void El_Dumbo_Decode(void (*decode)(u32 *x, u32 const* key),  u32 *x, u32 *const key, const u32 size_x64);

void El_Dumbo_2_Encode(void (*encode)(u32 *x, u32 const* key),  u32 *x, u32 *tmp, u32 *const key, const u32 size_x64);
void El_Dumbo_2_Decode(void (*decode)(u32 *x, u32 const* key),  u32 *x, u32 *tmp, u32 *const key, const u32 size_x64);

void El_Dumbo_3_Encode(void (*encode)(u32 *x, u32 const* key),  u32 *x, const u32 size_x64, const u32 rounds = 0);
void El_Dumbo_3_Decode(void (*decode)(u32 *x, u32 const* key),  u32 *x, const u32 size_x64, const u32 rounds = 0);


#endif

